gi-glib-2.0.17: GLib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.TestCase

Contents

- Exported types

Description

An opaque structure representing a test case.

Synopsis

- newtype TestCase = TestCase (ManagedPtr TestCase)
- noTestCase :: Maybe TestCase

# Exported types

newtype TestCase Source #

Memory-managed wrapper type.

Constructors

TestCase (ManagedPtr TestCase) |

Instances

WrappedPtr TestCase Source # |
Instance details Defined in GI.GLib.Structs.TestCase Methods wrappedPtrCalloc :: IO (Ptr TestCase) Source # wrappedPtrCopy :: TestCase -> IO TestCase Source # wrappedPtrFree :: Maybe (FunPtr (Ptr TestCase -> IO ())) Source #

noTestCase :: Maybe TestCase Source #

A convenience alias for `Nothing` :: `Maybe` `TestCase`.